us.zoom.sdk

## Interface MeetingError

-     public interface MeetingError

  Meeting error code

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MEETING_ERROR_CLIENT_INCOMPATIBLE` Zoom SDK version is too low to connect to the meeting
    `static int` | `MEETING_ERROR_DISALLOW_HOST_RESGISTER_WEBINAR` Cannot register a webinar using the host email
    `static int` | `MEETING_ERROR_DISALLOW_PANELIST_REGISTER_WEBINAR` Cannot register a webinar using a panelist's email
    `static int` | `MEETING_ERROR_EXIT_WHEN_WAITING_HOST_START` User leave meeting when waiting host to start
    `static int` | `MEETING_ERROR_HOST_DENY_EMAIL_REGISTER_WEBINAR` The register to this webinar is denied by the host
    `static int` | `MEETING_ERROR_INCORRECT_MEETING_NUMBER` Incorrect meeting number
    `static int` | `MEETING_ERROR_INVALID_ARGUMENTS` Failed due to one or more invalid arguments.
    `static int` | `MEETING_ERROR_INVALID_STATUS` Meeting api can not be called now.
    `static int` | `MEETING_ERROR_LOCKED` Meeting is locked
    `static int` | `MEETING_ERROR_MEETING_NOT_EXIST` Meeting dose not exist
    `static int` | `MEETING_ERROR_MEETING_OVER` Meeting ended
    `static int` | `MEETING_ERROR_MMR_ERROR` MMR server error
    `static int` | `MEETING_ERROR_NETWORK_ERROR` Network error
    `static int` | `MEETING_ERROR_NETWORK_UNAVAILABLE` Network unavailable
    `static int` | `MEETING_ERROR_NO_MMR` No MMR server available for this meeting
    `static int` | `MEETING_ERROR_REGISTER_WEBINAR_FULL` Arrive maximum registers to this webinar
    `static int` | `MEETING_ERROR_RESTRICTED` Meeting is restricted
    `static int` | `MEETING_ERROR_RESTRICTED_JBH` Join this meeting before host is restricted
    `static int` | `MEETING_ERROR_SESSION_ERROR` Session error
    `static int` | `MEETING_ERROR_SUCCESS` Success
    `static int` | `MEETING_ERROR_TIMEOUT` Timeout
    `static int` | `MEETING_ERROR_UNKNOWN` Unknown error
    `static int` | `MEETING_ERROR_USER_FULL` Number of participants is full
    `static int` | `MEETING_ERROR_WEB_SERVICE_FAILED` Request to web service failed
    `static int` | `MEETING_ERROR_WEBINAR_ENFORCE_LOGIN` This webinar requires participants to login.

- - ### Field Detail

    - #### MEETING_ERROR_SUCCESS

          static final int MEETING_ERROR_SUCCESS

      Success
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_INCORRECT_MEETING_NUMBER

          static final int MEETING_ERROR_INCORRECT_MEETING_NUMBER

      Incorrect meeting number
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_TIMEOUT

          static final int MEETING_ERROR_TIMEOUT

      Timeout
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_NETWORK_UNAVAILABLE

          static final int MEETING_ERROR_NETWORK_UNAVAILABLE

      Network unavailable
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_CLIENT_INCOMPATIBLE

          static final int MEETING_ERROR_CLIENT_INCOMPATIBLE

      Zoom SDK version is too low to connect to the meeting
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_NETWORK_ERROR

          static final int MEETING_ERROR_NETWORK_ERROR

      Network error
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_MMR_ERROR

          static final int MEETING_ERROR_MMR_ERROR

      MMR server error
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_SESSION_ERROR

          static final int MEETING_ERROR_SESSION_ERROR

      Session error
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_MEETING_OVER

          static final int MEETING_ERROR_MEETING_OVER

      Meeting ended
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_MEETING_NOT_EXIST

          static final int MEETING_ERROR_MEETING_NOT_EXIST

      Meeting dose not exist
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_USER_FULL

          static final int MEETING_ERROR_USER_FULL

      Number of participants is full
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_NO_MMR

          static final int MEETING_ERROR_NO_MMR

      No MMR server available for this meeting
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_LOCKED

          static final int MEETING_ERROR_LOCKED

      Meeting is locked
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_RESTRICTED

          static final int MEETING_ERROR_RESTRICTED

      Meeting is restricted
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_RESTRICTED_JBH

          static final int MEETING_ERROR_RESTRICTED_JBH

      Join this meeting before host is restricted
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_WEB_SERVICE_FAILED

          static final int MEETING_ERROR_WEB_SERVICE_FAILED

      Request to web service failed
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_REGISTER_WEBINAR_FULL

          static final int MEETING_ERROR_REGISTER_WEBINAR_FULL

      Arrive maximum registers to this webinar
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_DISALLOW_HOST_RESGISTER_WEBINAR

          static final int MEETING_ERROR_DISALLOW_HOST_RESGISTER_WEBINAR

      Cannot register a webinar using the host email
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_DISALLOW_PANELIST_REGISTER_WEBINAR

          static final int MEETING_ERROR_DISALLOW_PANELIST_REGISTER_WEBINAR

      Cannot register a webinar using a panelist's email
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_HOST_DENY_EMAIL_REGISTER_WEBINAR

          static final int MEETING_ERROR_HOST_DENY_EMAIL_REGISTER_WEBINAR

      The register to this webinar is denied by the host
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_WEBINAR_ENFORCE_LOGIN

          static final int MEETING_ERROR_WEBINAR_ENFORCE_LOGIN

      This webinar requires participants to login.
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_EXIT_WHEN_WAITING_HOST_START

          static final int MEETING_ERROR_EXIT_WHEN_WAITING_HOST_START

      User leave meeting when waiting host to start
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_INVALID_ARGUMENTS

          static final int MEETING_ERROR_INVALID_ARGUMENTS

      Failed due to one or more invalid arguments.
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_UNKNOWN

          static final int MEETING_ERROR_UNKNOWN

      Unknown error
      See Also:
        Constant Field Values

    - #### MEETING_ERROR_INVALID_STATUS

          static final int MEETING_ERROR_INVALID_STATUS

      Meeting api can not be called now.
      See Also:
        Constant Field Values